// File:          ReadlineCompleter.java
// Created:       2001-02-22 15:50:22, erik
// By:            <erik@skiinfo.fr>
// Time-stamp:    <2001-02-23 11:19:11, erik>
// 
// $Id: ReadlineCompleter.java,v 1.1.1.1 2001/10/15 22:42:28 apbianco Exp $
// 
// Description:       


package org.gnu.readline;

public interface ReadlineCompleter {

  /**
     A generator function for filename completion in the general case.
     Note that completion in Bash is a little different because of all
     the pathnames that must be followed when looking up completions
     for a command.  The Bash source is a useful reference for writing
     custom completion functions.

     @param text start of completion text
     @param state 0 or positive int
     @return String or null when no more completions
     
  */

  public String completer(String text, int state);
}
